/*******************************************************************************
* File Name: Selectttttttt.h  
* Version 1.60
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_Selectttttttt_H) /* Pins Selectttttttt_H */
#define CY_PINS_Selectttttttt_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Selectttttttt_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    Selectttttttt_Write(uint8 value) ;
void    Selectttttttt_SetDriveMode(uint8 mode) ;
uint8   Selectttttttt_ReadDataReg(void) ;
uint8   Selectttttttt_Read(void) ;
uint8   Selectttttttt_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define Selectttttttt_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define Selectttttttt_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define Selectttttttt_DM_RES_UP          PIN_DM_RES_UP
#define Selectttttttt_DM_RES_DWN         PIN_DM_RES_DWN
#define Selectttttttt_DM_OD_LO           PIN_DM_OD_LO
#define Selectttttttt_DM_OD_HI           PIN_DM_OD_HI
#define Selectttttttt_DM_STRONG          PIN_DM_STRONG
#define Selectttttttt_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define Selectttttttt_MASK               Selectttttttt__MASK
#define Selectttttttt_SHIFT              Selectttttttt__SHIFT
#define Selectttttttt_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Selectttttttt_PS                     (* (reg8 *) Selectttttttt__PS)
/* Data Register */
#define Selectttttttt_DR                     (* (reg8 *) Selectttttttt__DR)
/* Port Number */
#define Selectttttttt_PRT_NUM                (* (reg8 *) Selectttttttt__PRT) 
/* Connect to Analog Globals */                                                  
#define Selectttttttt_AG                     (* (reg8 *) Selectttttttt__AG)                       
/* Analog MUX bux enable */
#define Selectttttttt_AMUX                   (* (reg8 *) Selectttttttt__AMUX) 
/* Bidirectional Enable */                                                        
#define Selectttttttt_BIE                    (* (reg8 *) Selectttttttt__BIE)
/* Bit-mask for Aliased Register Access */
#define Selectttttttt_BIT_MASK               (* (reg8 *) Selectttttttt__BIT_MASK)
/* Bypass Enable */
#define Selectttttttt_BYP                    (* (reg8 *) Selectttttttt__BYP)
/* Port wide control signals */                                                   
#define Selectttttttt_CTL                    (* (reg8 *) Selectttttttt__CTL)
/* Drive Modes */
#define Selectttttttt_DM0                    (* (reg8 *) Selectttttttt__DM0) 
#define Selectttttttt_DM1                    (* (reg8 *) Selectttttttt__DM1)
#define Selectttttttt_DM2                    (* (reg8 *) Selectttttttt__DM2) 
/* Input Buffer Disable Override */
#define Selectttttttt_INP_DIS                (* (reg8 *) Selectttttttt__INP_DIS)
/* LCD Common or Segment Drive */
#define Selectttttttt_LCD_COM_SEG            (* (reg8 *) Selectttttttt__LCD_COM_SEG)
/* Enable Segment LCD */
#define Selectttttttt_LCD_EN                 (* (reg8 *) Selectttttttt__LCD_EN)
/* Slew Rate Control */
#define Selectttttttt_SLW                    (* (reg8 *) Selectttttttt__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Selectttttttt_PRTDSI__CAPS_SEL       (* (reg8 *) Selectttttttt__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Selectttttttt_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Selectttttttt__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Selectttttttt_PRTDSI__OE_SEL0        (* (reg8 *) Selectttttttt__PRTDSI__OE_SEL0) 
#define Selectttttttt_PRTDSI__OE_SEL1        (* (reg8 *) Selectttttttt__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Selectttttttt_PRTDSI__OUT_SEL0       (* (reg8 *) Selectttttttt__PRTDSI__OUT_SEL0) 
#define Selectttttttt_PRTDSI__OUT_SEL1       (* (reg8 *) Selectttttttt__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Selectttttttt_PRTDSI__SYNC_OUT       (* (reg8 *) Selectttttttt__PRTDSI__SYNC_OUT) 


#if defined(Selectttttttt__INTSTAT)  /* Interrupt Registers */

    #define Selectttttttt_INTSTAT                (* (reg8 *) Selectttttttt__INTSTAT)
    #define Selectttttttt_SNAP                   (* (reg8 *) Selectttttttt__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins Selectttttttt_H */


/* [] END OF FILE */
